Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83529 - up2date-config start error when proxyPassword is a number
Summary: up2date-config start error when proxyPassword is a number
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 10:41 UTC by Marcel Svitalský
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-14 04:25:49 UTC


Attachments (Terms of Use)

Description Marcel Svitalský 2003-02-05 10:41:06 UTC
Description of problem:

If user's proxyPassword is a number, up2date-config fails to start and generates
an error output from the Python interpreter.


Version-Release number of selected component (if applicable): 2.8.39


How reproducible: see Description.


Actual results: Error traceback from Python


Expected results: up2date-config started


Additional info:

I suggest to change /usr/share/rhn/up2date_client/configdlg.py, line 77, from
current:

self.xml.get_widget("proxyPasswordEntry").set_text(self.cfg.readEntry("proxyPassword"))

to:

self.xml.get_widget("proxyPasswordEntry").set_text(str(self.cfg.readEntry("proxyPassword")))

Comment 1 Marcel Svitalský 2003-02-05 11:31:40 UTC
Maybe I could add traceback too:    :-))

Traceback (innermost last):
  File "/usr/sbin/up2date-config", line 781, in ?
    main()
  File "/usr/sbin/up2date-config", line 512, in main
    configdlg.main()
  File "/usr/share/rhn/up2date_client/configdlg.py", line 331, in main
    gui = Gui()
  File "/usr/share/rhn/up2date_client/configdlg.py", line 64, in __init__
    self.setInitialValues()
  File "/usr/share/rhn/up2date_client/configdlg.py", line 77, in setInitialValues
   
self.xml.get_widget("proxyPasswordEntry").set_text(self.cfg.readEntry("proxyPassword"))
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2213, in set_text
    _gtk.gtk_entry_set_text(self._o, text)
TypeError: gtk_entry_set_text, argument 2: expected string, int found


Comment 2 Adrian Likins 2003-02-05 16:38:51 UTC
should be fixed in 3.1.12 

Comment 3 Jay Turner 2003-02-14 04:25:49 UTC
Fix confirmed with up2date-3.1.15-7.


Note You need to log in before you can comment on or make changes to this bug.